EXTRA_DIST = brkcont.t heredoc.t quoting.t th unclass2.t Makefile.am \
             cdhist.t ifs.t read.t th-sh version.t README error.t expand.t \
	     lineno.t regress.t token.t arith.t glob.t parameters.t \
	     syntax.t unclass1.t utilities.t arithmetic.t # ttylovers.t

SHELL_TO_TEST = ../posh$(exe_suffix)
CATEGORIES_TO_TEST = sh,posix,pdksh,posh

check test:
	$(srcdir)/th-sh $(srcdir)/th -s $(srcdir) -p $(SHELL_TO_TEST) -C $(CATEGORIES_TO_TEST) $(TESTARGS)
